package jrummikub.util;

/**
 * A pair of objects
 * @param <T1> the first type of the pair
 * @param <T2> the second type of the pair
 */
public class Pair<T1, T2> {
  private final T1 first;
  private final T2 second;

  /**
   * Create a new pair
   * 
   * @param first the first value
   * @param second the second value
   */
  public Pair(T1 first, T2 second) {
    this.first = first;
    this.second = second;
  }

  /**
   * @return the first value
   */
  public T1 getFirst() {
    return first;
  }

  /**
   * @return the first value
   */
  public T2 getSecond() {
    return second;
  }

}
